PCRE(3)

NAME
PCRE - Perl-compatible regular expressions

SYNOPSIS

#include <pcre.h>

int pcre_get_substring_list(const char *subject,
int *ovector, int stringcount, const char ***listptr);

DESCRIPTION

This is a convenience function for extracting a list of all the captured substrings. The arguments are:

  subject Subject that has been successfully matched
  ovector Offset vector that pcre_exec used
  stringcount Value returned by pcre_exec
  listptr Where to put a pointer to the list

The yield is zero on success or PCRE_ERROR_NOMEMORY if sufficient memory could not be obtained.

There is a complete description of the PCRE API in the pcreapi page.